prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_180200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2018.05.24'
,p_release=>'18.2.0.00.12'
,p_default_workspace_id=>21717127411908241868
,p_default_application_id=>103428
,p_default_owner=>'RD_DEV'
);
end;
/
prompt --application/shared_components/plugins/dynamic_action/apex_dynamictooltip
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(42066243000759696191)
,p_plugin_type=>'DYNAMIC ACTION'
,p_name=>'APEX.DYNAMICTOOLTIP'
,p_display_name=>'APEX Dynamic Tooltip'
,p_category=>'NOTIFICATION'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'FUNCTION F_AJAX (',
'        P_DYNAMIC_ACTION   IN APEX_PLUGIN.T_DYNAMIC_ACTION,',
'        P_PLUGIN           IN APEX_PLUGIN.T_PLUGIN',
'    ) RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_AJAX_RESULT IS',
'        L_RESULT   APEX_PLUGIN.T_DYNAMIC_ACTION_AJAX_RESULT;',
'        VR_CUR   SYS_REFCURSOR;',
'    BEGIN',
'        OPEN VR_CUR FOR REGEXP_REPLACE( RTRIM ( P_DYNAMIC_ACTION.ATTRIBUTE_04, '';''), ''([^a-zA-Z0-9]|[\s=]):([a-zA-Z0-9_]*)'', ''\1 (SELECT V(''''\2'''') FROM DUAL) '');',
'        ',
'        APEX_JSON.OPEN_OBJECT;',
'        ',
'        APEX_JSON.WRITE(',
'            ''row'',',
'            VR_CUR',
'        );',
'        ',
'        APEX_JSON.CLOSE_OBJECT;',
'        ',
'        --APEX_UTIL.JSON_FROM_SQL( SQLQ   => P_DYNAMIC_ACTION.ATTRIBUTE_04 );',
'        RETURN L_RESULT;',
'    END;',
'',
'    FUNCTION F_RENDER (',
'        P_DYNAMIC_ACTION   IN APEX_PLUGIN.T_DYNAMIC_ACTION,',
'        P_PLUGIN           IN APEX_PLUGIN.T_PLUGIN',
'    ) RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT AS',
'        VR_RESULT         APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT;',
'        VR_ITEMS2SUBMIT   APEX_APPLICATION_PAGE_REGIONS.AJAX_ITEMS_TO_SUBMIT%TYPE := NULL;',
'        VR_REQUIRE_ESCAPE BOOLEAN := TRUE;',
'    BEGIN',
'',
'        APEX_JAVASCRIPT.ADD_LIBRARY(',
'            P_NAME        => ''script.min'',',
'            P_DIRECTORY   => P_PLUGIN.FILE_PREFIX,',
'            P_VERSION     => NULL,',
'            P_KEY         => ''dynamicTTSource''',
'        );',
'',
'        IF',
'            P_DYNAMIC_ACTION.ATTRIBUTE_03 IS NOT NULL',
'        THEN',
'            VR_ITEMS2SUBMIT   := P_DYNAMIC_ACTION.ATTRIBUTE_03;',
'        END IF;',
' ',
'        IF',
'            P_DYNAMIC_ACTION.ATTRIBUTE_05 IS NOT NULL',
'        THEN',
'            IF VR_ITEMS2SUBMIT IS NOT NULL',
'            THEN',
'                VR_ITEMS2SUBMIT := VR_ITEMS2SUBMIT || '','';',
'            END IF;',
'            VR_ITEMS2SUBMIT   := VR_ITEMS2SUBMIT ||',
'            P_DYNAMIC_ACTION.ATTRIBUTE_05;',
'        END IF;',
'',
'        IF',
'            P_DYNAMIC_ACTION.ATTRIBUTE_06 IS NOT NULL',
'        THEN',
'            IF VR_ITEMS2SUBMIT IS NOT NULL',
'            THEN',
'                VR_ITEMS2SUBMIT := VR_ITEMS2SUBMIT || '','';',
'            END IF;',
'            VR_ITEMS2SUBMIT   := VR_ITEMS2SUBMIT ||',
'            '','' ||',
'            P_DYNAMIC_ACTION.ATTRIBUTE_06;',
'        END IF;',
'',
'        IF',
'            P_DYNAMIC_ACTION.ATTRIBUTE_07 IS NOT NULL',
'        THEN',
'            IF VR_ITEMS2SUBMIT IS NOT NULL',
'            THEN',
'                VR_ITEMS2SUBMIT := VR_ITEMS2SUBMIT || '','';',
'            END IF;',
'            VR_ITEMS2SUBMIT   := VR_ITEMS2SUBMIT ||',
'            P_DYNAMIC_ACTION.ATTRIBUTE_07;',
'        END IF;',
'        ',
'        IF',
'            P_DYNAMIC_ACTION.ATTRIBUTE_09 = ''N''',
'        THEN',
'            VR_REQUIRE_ESCAPE   := FALSE;',
'        ELSE',
'            VR_REQUIRE_ESCAPE   := TRUE;',
'        END IF;',
'',
'        VR_ITEMS2SUBMIT                 := APEX_PLUGIN_UTIL.PAGE_ITEM_NAMES_TO_JQUERY( VR_ITEMS2SUBMIT );',
'        VR_RESULT.JAVASCRIPT_FUNCTION   := ''function () {',
'      dynamicTooltip.initialize('' ||',
'        APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_02, TRUE ) ||',
'        APEX_JAVASCRIPT.ADD_VALUE( APEX_PLUGIN.GET_AJAX_IDENTIFIER, TRUE ) ||',
'        APEX_JAVASCRIPT.ADD_VALUE( VR_ITEMS2SUBMIT, TRUE ) ||',
'        APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_05, TRUE ) ||',
'        APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_06, TRUE ) ||',
'        APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_07, TRUE ) ||',
'        APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_08, TRUE ) ||',
'        APEX_JAVASCRIPT.ADD_VALUE( VR_REQUIRE_ESCAPE, FALSE ) ||',
'        '');}'';',
'',
'        RETURN VR_RESULT;',
'    END;'))
,p_api_version=>1
,p_render_function=>'F_RENDER'
,p_ajax_function=>'F_AJAX'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This plug-in is used to dynamically show a tooltip on any page element. With mouse-hover the content of the tooltip is loaded live from the database. Filter attributes in the desired element can then be used to filter the select. E.g.:',
'',
'<h2 id="myID" pk="1", sk="2">test</h2>',
'',
'So when you make a mouse-hover then the select uses the two attributes pk and sk to filter in sql statement. There is also a third one "tk". To submit these values you need three setable items on the page and these where set on hover. Then they where'
||' submitted and can be used as filter in sql statement.'))
,p_version_identifier=>'1.2'
,p_about_url=>'https://github.com/RonnyWeiss/Apex-Dynamic-Tooltip'
,p_files_version=>1287
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42066243602473696197)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>3
,p_prompt=>'Element Selector'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Used as a jQuery selector to mark the objects to which the tooltip should apply. ',
'',
'If you want this element to fulfill conditions for the statement, it is implemented in such a way that up to three items that can be set at runtime can be used as filters in the SQL statement of the plug-in. These three filters are excluded from the '
||'attributes of the selected elements and must be called: pk, sk tk.',
'An example would be like this',
'',
'the plug-in should react to an element that looks like this:',
'',
'<h2 id="myID" pk="1", sk="2">test</h2>',
'',
'If you then click on this element of a hover with the mouse, the tooltip is loaded according to the keys. Of course, other items can be included in the SQL statement via Items2Submit'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42066244091214696197)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>2
,p_prompt=>'Items to Submit'
,p_attribute_type=>'PAGE ITEMS'
,p_is_required=>false
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Used to take account of item values that were changed at runtime when fetching data',
'',
'=> The key items are automatically submitted!'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42066244403414696197)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>1
,p_prompt=>'SQL Source'
,p_attribute_type=>'SQL'
,p_is_required=>true
,p_default_value=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    ''<h4>This is a dynamic tooltip</h4>'' AS TOOLTIP,',
'    ''rgba(240, 240, 240, 1)''             AS BACKGROUNDCOLOR',
'FROM',
'    DUAL'))
,p_sql_min_column_count=>1
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'SELECT ',
'    /* Used to set the html content of the tooltip */',
'    ''&lt;h4&gt;This is a dynamic tooltip&lt;/h4&gt;'' AS TOOLTIP,',
'    /* Used to set the background color of the tooltip */',
'    ''rgba(240, 240, 240, 1)''             AS BACKGROUNDCOLOR',
'FROM',
'    DUAL',
'</pre>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42074887041697857622)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Primary Key'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>false
,p_is_translatable=>false
,p_help_text=>'Item changeable at runtime on which the primary key can be set'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42074865644231637118)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Secondary Key'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>false
,p_is_translatable=>false
,p_help_text=>'Item changeable at runtime on which the secondary key can be set'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42074928072912864197)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Tertiary Key'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>false
,p_is_translatable=>false
,p_help_text=>'Item changeable at runtime on which the tertiary key can be set'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42187082441416564650)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Option JSON'
,p_attribute_type=>'JAVASCRIPT'
,p_is_required=>true
,p_default_value=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{',
'  "backgroundColor": "rgba(240, 240, 240, 1)",',
'  "maxWidth": "400px",',
'  "ajaxDelay": 300',
'}'))
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'{',
'  "backgroundColor": "rgba(240, 240, 240, 1)", /* sets the background color of the tooltip */',
'  "maxWidth": "400px", /* sets the max width of the tooltip */',
'  "ajaxDelay": 300 /* sets the waiting time when hover with mouse before data is loading */',
'}',
'</pre>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(56116082061003566336)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_prompt=>'Escape special Characters'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'This value determines whether all texts that the plug-in inserts into the page should be escaped. This is necessary if texts come from user input or insecure sources to prevent XSS.'
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '4D4954204C6963656E73650D0A0D0A436F7079726967687420286329203230313920526F6E6E7920576569DF0D0A0D0A5065726D697373696F6E20697320686572656279206772616E7465642C2066726565206F66206368617267652C20746F20616E79';
wwv_flow_api.g_varchar2_table(2) := '20706572736F6E206F627461696E696E67206120636F7079206F66207468697320736F66747761726520616E64206173736F63696174656420646F63756D656E746174696F6E2066696C657320287468652022536F66747761726522292C20746F206465';
wwv_flow_api.g_varchar2_table(3) := '616C20696E2074686520536F66747761726520776974686F7574207265737472696374696F6E2C20696E636C7564696E6720776974686F7574206C696D69746174696F6E207468652072696768747320746F207573652C20636F70792C206D6F64696679';
wwv_flow_api.g_varchar2_table(4) := '2C206D657267652C207075626C6973682C20646973747269627574652C207375626C6963656E73652C20616E642F6F722073656C6C20636F70696573206F662074686520536F6674776172652C20616E6420746F207065726D697420706572736F6E7320';
wwv_flow_api.g_varchar2_table(5) := '746F2077686F6D2074686520536F667477617265206973206675726E697368656420746F20646F20736F2C207375626A65637420746F2074686520666F6C6C6F77696E6720636F6E646974696F6E733A0D0A0D0A5468652061626F766520636F70797269';
wwv_flow_api.g_varchar2_table(6) := '676874206E6F7469636520616E642074686973207065726D697373696F6E206E6F74696365207368616C6C20626520696E636C7564656420696E20616C6C20636F70696573206F72207375627374616E7469616C20706F7274696F6E73206F6620746865';
wwv_flow_api.g_varchar2_table(7) := '20536F6674776172652E0D0A0D0A54484520534F4654574152452049532050524F564944454420224153204953222C20574954484F55542057415252414E5459204F4620414E59204B494E442C2045585052455353204F5220494D504C4945442C20494E';
wwv_flow_api.g_varchar2_table(8) := '434C5544494E4720425554204E4F54204C494D4954454420544F205448452057415252414E54494553204F46204D45524348414E544142494C4954592C204649544E45535320464F52204120504152544943554C415220505552504F534520414E44204E';
wwv_flow_api.g_varchar2_table(9) := '4F4E494E4652494E47454D454E542E20494E204E4F204556454E54205348414C4C2054484520415554484F5253204F5220434F5059524947485420484F4C44455253204245204C4941424C4520464F5220414E5920434C41494D2C2044414D4147455320';
wwv_flow_api.g_varchar2_table(10) := '4F52204F54484552204C494142494C4954592C205748455448455220494E20414E20414354494F4E204F4620434F4E54524143542C20544F5254204F52204F54484552574953452C2041524953494E472046524F4D2C204F5554204F46204F5220494E20';
wwv_flow_api.g_varchar2_table(11) := '434F4E4E454354494F4E20574954482054484520534F465457415245204F522054484520555345204F52204F54484552204445414C494E475320494E2054484520534F4654574152452E';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(42066245294033696206)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_file_name=>'LICENSE'
,p_mime_type=>'application/octet-stream'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '7661722064796E616D6963546F6F6C7469703D66756E6374696F6E28297B2275736520737472696374223B766172206F3D7B76657273696F6E3A22312E302E31222C65736361706548544D4C3A66756E6374696F6E286F297B6966286E756C6C3D3D3D6F';
wwv_flow_api.g_varchar2_table(2) := '2972657475726E206E756C6C3B696628766F69642030213D3D6F297B696628226F626A656374223D3D747970656F66206F297472797B6F3D4A534F4E2E737472696E67696679286F297D6361746368286F297B7D7472797B72657475726E20617065782E';
wwv_flow_api.g_varchar2_table(3) := '7574696C2E65736361706548544D4C28537472696E67286F29297D63617463682865297B72657475726E286F3D537472696E67286F29292E7265706C616365282F262F672C2226616D703B22292E7265706C616365282F3C2F672C22266C743B22292E72';
wwv_flow_api.g_varchar2_table(4) := '65706C616365282F3E2F672C222667743B22292E7265706C616365282F222F672C222671756F743B22292E7265706C616365282F272F672C2226237832373B22292E7265706C616365282F5C2F2F672C2226237832463B22297D7D7D2C6A736F6E536176';
wwv_flow_api.g_varchar2_table(5) := '65457874656E643A66756E6374696F6E286F2C65297B76617220743D7B7D3B69662822737472696E67223D3D747970656F662065297472797B653D4A534F4E2E70617273652865297D6361746368286F297B636F6E736F6C652E6572726F722822457272';
wwv_flow_api.g_varchar2_table(6) := '6F72207768696C652074727920746F207061727365207564436F6E6669674A534F4E2E20506C6561736520636865636B20796F757220436F6E666967204A534F4E2E205374616E6461726420436F6E6669672077696C6C20626520757365642E22292C63';
wwv_flow_api.g_varchar2_table(7) := '6F6E736F6C652E6572726F72286F292C636F6E736F6C652E6572726F722865297D656C736520743D653B7472797B743D242E657874656E642821302C6F2C65297D63617463682865297B636F6E736F6C652E6572726F7228224572726F72207768696C65';
wwv_flow_api.g_varchar2_table(8) := '2074727920746F206D65726765207564436F6E6669674A534F4E20696E746F205374616E64617264204A534F4E20696620616E7920617474726962757465206973206D697373696E672E20506C6561736520636865636B20796F757220436F6E66696720';
wwv_flow_api.g_varchar2_table(9) := '4A534F4E2E205374616E6461726420436F6E6669672077696C6C20626520757365642E22292C636F6E736F6C652E6572726F722865292C743D6F2C636F6E736F6C652E6572726F722874297D72657475726E20747D2C746F6F6C7469703A7B73686F773A';
wwv_flow_api.g_varchar2_table(10) := '66756E6374696F6E286F2C652C74297B7472797B696628303D3D2428222364796E546F6F6C54697022292E6C656E677468297B76617220723D2428223C6469763E3C2F6469763E22292E6174747228226964222C2264796E546F6F6C54697022292E6373';
wwv_flow_api.g_varchar2_table(11) := '7328226D61782D7769647468222C22343030707822292E6373732822706F736974696F6E222C226162736F6C75746522292E6373732822746F70222C2230707822292E63737328226C656674222C2230707822292E63737328227A2D696E646578222C22';
wwv_flow_api.g_varchar2_table(12) := '3230303022292E63737328226261636B67726F756E642D636F6C6F72222C2272676261283234302C203234302C203234302C20312922292E637373282270616464696E67222C223130707822292E6373732822646973706C6179222C22626C6F636B2229';
wwv_flow_api.g_varchar2_table(13) := '2E6373732822746F70222C223022292E63737328226F766572666C6F772D77726170222C22627265616B2D776F726422292E6373732822776F72642D77726170222C22627265616B2D776F726422292E63737328222D6D732D68797068656E73222C2261';
wwv_flow_api.g_varchar2_table(14) := '75746F22292E63737328222D6D6F7A2D68797068656E73222C226175746F22292E63737328222D7765626B69742D68797068656E73222C226175746F22292E637373282268797068656E73222C226175746F22293B652626722E63737328226261636B67';
wwv_flow_api.g_varchar2_table(15) := '726F756E642D636F6C6F72222C65292C742626722E63737328226D61782D7769647468222C74292C242822626F647922292E617070656E642872297D656C7365202428222364796E546F6F6C54697022292E63737328227669736962696C697479222C22';
wwv_flow_api.g_varchar2_table(16) := '76697369626C6522293B2428222364796E546F6F6C54697022292E68746D6C286F297D6361746368286F297B636F6E736F6C652E6572726F7228224572726F72207768696C652074727920746F2073686F7720746F6F6C74697022292C636F6E736F6C65';
wwv_flow_api.g_varchar2_table(17) := '2E6572726F72286F297D7D2C736574506F736974696F6E3A66756E6374696F6E286F297B2428222364796E546F6F6C54697022292E706F736974696F6E287B6D793A226C6566742B3620746F702B36222C6F663A6F2C636F6C6C6973696F6E3A22666C69';
wwv_flow_api.g_varchar2_table(18) := '70666974227D297D2C686964653A66756E6374696F6E28297B2428222364796E546F6F6C54697022292E63737328227669736962696C697479222C2268696464656E22297D2C72656D6F76653A66756E6374696F6E28297B2428222364796E546F6F6C54';
wwv_flow_api.g_varchar2_table(19) := '697022292E72656D6F766528297D7D7D3B72657475726E7B696E697469616C697A653A66756E6374696F6E28652C742C722C692C732C6E2C612C63297B766172206C3D7B7D3B6C3D6F2E6A736F6E53617665457874656E64287B6261636B67726F756E64';
wwv_flow_api.g_varchar2_table(20) := '436F6C6F723A2272676261283234302C203234302C203234302C203129222C6D617857696474683A223430307078222C616A617844656C61793A3530307D2C61293B76617220703D242865293B242E6561636828702C66756E6374696F6E28297B766172';
wwv_flow_api.g_varchar2_table(21) := '20653D242874686973292C613D652E617474722822686173746F6F6C74697022293B766F696420303D3D3D6126262130213D3D61262628652E617474722822686173746F6F6C746970222C2130292C652E6F6E28226D6F757365656E746572222C66756E';
wwv_flow_api.g_varchar2_table(22) := '6374696F6E2861297B73657454696D656F75742866756E6374696F6E28297B652E697328223A686F7665722229262673657454696D656F75742866756E6374696F6E28297B652E697328223A686F7665722229262628617065782E6974656D2869292E73';
wwv_flow_api.g_varchar2_table(23) := '657456616C756528242865292E617474722822706B22292C6E756C6C2C2130292C617065782E6974656D2873292E73657456616C756528242865292E617474722822736B22292C6E756C6C2C2130292C617065782E6974656D286E292E73657456616C75';
wwv_flow_api.g_varchar2_table(24) := '6528242865292E617474722822746B22292C6E756C6C2C2130292C617065782E7365727665722E706C7567696E28742C7B706167654974656D733A727D2C7B737563636573733A66756E6374696F6E2874297B652E697328223A686F7665722229262628';
wwv_flow_api.g_varchar2_table(25) := '2166756E6374696F6E2865297B696628652E726F775B305D2626652E726F775B305D2E544F4F4C544950297B76617220743D22222C723D22222C693D22223B2131213D3D633F28743D6F2E65736361706548544D4C28652E726F775B305D2E544F4F4C54';
wwv_flow_api.g_varchar2_table(26) := '4950292C723D6F2E65736361706548544D4C28652E726F775B305D2E4241434B47524F554E44434F4C4F523F652E726F775B305D2E4241434B47524F554E44434F4C4F523A6C2E6261636B67726F756E64436F6C6F72292C693D6F2E6573636170654854';
wwv_flow_api.g_varchar2_table(27) := '4D4C286C2E6D6178576964746829293A28743D652E726F775B305D2E544F4F4C5449502C723D652E726F775B305D2E4241434B47524F554E44434F4C4F523F652E726F775B305D2E4241434B47524F554E44434F4C4F523A6C2E6261636B67726F756E64';
wwv_flow_api.g_varchar2_table(28) := '436F6C6F722C693D6C2E6D61785769647468292C6F2E746F6F6C7469702E73686F7728742C722C69297D7D2874292C6F2E746F6F6C7469702E736574506F736974696F6E286129297D2C6572726F723A66756E6374696F6E286F297B636F6E736F6C652E';
wwv_flow_api.g_varchar2_table(29) := '6C6F67286F2E726573706F6E736554657874297D2C64617461547970653A226A736F6E227D29297D2C4D6174682E726F756E64286C2E616A617844656C61792F3229297D2C4D6174682E726F756E64286C2E616A617844656C61792F3229297D292C652E';
wwv_flow_api.g_varchar2_table(30) := '6F6E28226D6F7573656C65617665222C66756E6374696F6E28297B6F2E746F6F6C7469702E6869646528297D292C652E6F6E28226D6F7573656D6F7665222C66756E6374696F6E2865297B6F2E746F6F6C7469702E736574506F736974696F6E2865297D';
wwv_flow_api.g_varchar2_table(31) := '29297D297D7D7D28293B';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(42096089058275147541)
,p_plugin_id=>wwv_flow_api.id(42066243000759696191)
,p_file_name=>'script.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
